Package org.eclipse.zest.layouts.algorithms

# Class ContinuousLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.ContinuousLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`, `LayoutAlgorithm.Zest1`, `Stoppable`

Direct Known Subclasses:
  `SpringLayoutAlgorithm.Zest1`

@Deprecated(since="2.0", forRemoval=true) public abstract class ContinuousLayoutAlgorithm extends AbstractLayoutAlgorithm.Zest1
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

## Constructor Summary

Constructors
Constructor
Description
`ContinuousLayoutAlgorithm(int styles)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyLayoutInternal(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates and applies the positions of the given entities based on a spring layout using the given relationships.
`protected abstract void`
`computeOneIteration(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
Computes a single iteration of the layout algorithm
`DisplayIndependentRectangle`
`getBounds()`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected abstract boolean`
`performAnotherNonContinuousIteration()`
Deprecated, for removal: This API element is subject to removal in a future version.
The logic to determine if a layout should continue running or not
`void`
`setBounds(double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLayoutArea(double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`addEntity, addProgressListener, addRelationship, applyLayout, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, fireProgressUpdated, getCurrentLayoutStep, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, getTotalNumberOfLayoutSteps, isRunning, isValidConfiguration, postLayoutAlgorithm, preLayoutAlgorithm, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setLayoutContext, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContinuousLayoutAlgorithm

public ContinuousLayoutAlgorithm(int styles)
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### performAnotherNonContinuousIteration

protected abstract boolean performAnotherNonContinuousIteration()
Deprecated, for removal: This API element is subject to removal in a future version.
The logic to determine if a layout should continue running or not

### computeOneIteration

protected abstract void computeOneIteration(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.
Computes a single iteration of the layout algorithm

### setLayoutArea

public void setLayoutArea(double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setLayoutArea` in class `AbstractLayoutAlgorithm.Zest1`

### getBounds

public DisplayIndependentRectangle getBounds()
Deprecated, for removal: This API element is subject to removal in a future version.

### setBounds

public void setBounds(double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

### applyLayoutInternal

protected void applyLayoutInternal(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.
Calculates and applies the positions of the given entities based on a spring layout using the given relationships.

Specified by:
  `applyLayoutInternal` in class `AbstractLayoutAlgorithm.Zest1`
Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `x` - The left side of the bounds in which the layout can place the entities.
  `y` - The top side of the bounds in which the layout can place the entities.
  `width` - The width of the bounds in which the layout can place the entities.
  `height` - The height of the bounds in which the layout can place the entities.